=== modified file '__init__.py'
--- __init__.py	2007-12-20 18:29:24 +0000
+++ __init__.py	2007-12-21 04:23:49 +0000
@@ -439,15 +439,15 @@
     """
     takes_options = [Option("lightweight",
                             help="Create a lightweight checkout."), 'revision',
-                     Option('from-files', type=unicode,
+                     Option('files-from', type=unicode,
                             help='Accelerate checkout using files from this'
                                  ' tree.')]
     takes_args = ["source", "target?"]
     def run(self, source, target=None, lightweight=False, revision=None,
-            from_files=None):
+            files_from=None):
         from cbranch import cbranch
         return cbranch(source, target, lightweight=lightweight,
-                       revision=revision, from_files=from_files)
+                       revision=revision, files_from=files_from)
 
 
 class cmd_branches(BzrToolsCommand):

=== modified file 'cbranch.py'
--- cbranch.py	2007-12-20 18:29:24 +0000
+++ cbranch.py	2007-12-21 04:23:49 +0000
@@ -25,7 +25,7 @@
 from bzrlib.urlutils import derive_to_location
 
 def cbranch(from_location, to_location=None, revision=None,
-            lightweight=False, from_files=None):
+            lightweight=False, files_from=None):
     if to_location is None:
         to_location = derive_to_location(from_location)
     config = LocationConfig(abspath(to_location))
@@ -37,8 +37,8 @@
                                   " locations.conf")
         b_loc = pathjoin(b_root, basename(to_location))
     accelerator_tree, old_branch = BzrDir.open_tree_or_branch(from_location)
-    if from_files is not None:
-        accelerator_tree = WorkingTree.open(from_files)
+    if files_from is not None:
+        accelerator_tree = WorkingTree.open(files_from)
     if revision is None or len(revision) == 0:
         revision_id = old_branch.last_revision()
     elif len(revision) == 1:

